CREATE TABLE xplugin_knoellmarketing_live_search_main (
  `kLiveSearch` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `colphon_term` varchar(255) NOT NULL,
  `soundex_term` varchar(255) NOT NULL,
  `original_term` varchar(255) NOT NULL,
  `kArtikel` int(10) unsigned DEFAULT NULL,
  `kKategorie` int(10) unsigned DEFAULT NULL,
  `kHersteller` int(10) unsigned DEFAULT NULL,
  `original_field` varchar(100) NOT NULL,
  `dt_changed` datetime DEFAULT NULL,
  PRIMARY KEY (`kLiveSearch`),
  UNIQUE KEY `xplugin_knoellmarketing_live_search_unique_term` (`original_term`,`kArtikel`,`kKategorie`,`kHersteller`),
  KEY `xplugin_knoellmarketing_live_search_key_colphon_term` (`colphon_term`),
  KEY `xplugin_knoellmarketing_live_search_key_soundex_term` (`soundex_term`),
  KEY `xplugin_knoellmarketing_live_search_key_original_term` (`original_term`),
  KEY `xplugin_knoellmarketing_live_search_key_kArtikel` (`kArtikel`),
  KEY `xplugin_knoellmarketing_live_search_key_kKategorie` (`kKategorie`),
  KEY `xplugin_knoellmarketing_live_search_key_kHersteller` (`kHersteller`),
  KEY `xplugin_knoellmarketing_live_search_key_original_field` (`original_field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE xplugin_knoellmarketing_live_search_cache (
  `kLiveSearch` bigint(20) unsigned NOT NULL,
  `action` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE xplugin_knoellmarketing_live_search_settings (
  `cLang` varchar(10) NOT NULL DEFAULT 'ger',
  `cLangFallback` varchar(3) NOT NULL DEFAULT 'eng',
  `cSelInput` varchar(100) NOT NULL DEFAULT '#search input[name=qs]',
  `cSelForm` varchar(100) NOT NULL DEFAULT '#search>form',
  `nSearchMinSigns` int(4) UNSIGNED NOT NULL DEFAULT 3,
  `bSearchArticleName` tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  `bSearchArticleDesc` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `nSearchArticleLimit` int(10) UNSIGNED DEFAULT 10,
  `bSearchCategoryName` tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  `bSearchCategoryDesc` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `nSearchCategoryLimit` int(10) UNSIGNED DEFAULT 10,
  `bSearchManufacturerName` tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  `nSearchManufacturerLimit` int(10) UNSIGNED DEFAULT 10,
  `cFrontendDesign` varchar(20) NOT NULL DEFAULT 'overlay',
  `cSearchMapping` varchar(20) NOT NULL DEFAULT 'only',
  `cSearchVari` varchar(20) NOT NULL DEFAULT 'artnr',
  `nSequenceArticle` int(2) UNSIGNED NOT NULL DEFAULT 2,
  `nSequenceCategory` int(2) UNSIGNED NOT NULL DEFAULT 1,
  `nSequenceManufacturer` int(2) UNSIGNED NOT NULL DEFAULT 3,
  `nSearchOrderArtnr` int(3) UNSIGNED NOT NULL DEFAULT 1,
  `nSearchOrderFullName` int(3) UNSIGNED NOT NULL DEFAULT 2,
  `nSearchOrderPartNameDesc` int(3) UNSIGNED NOT NULL DEFAULT 3,
  `nSearchOrderPartName` int(3) UNSIGNED NOT NULL DEFAULT 4,
  `nSearchOrderFullDesc` int(3) UNSIGNED NOT NULL DEFAULT 5,
  `nSearchOrderPartDesc` int(3) UNSIGNED NOT NULL DEFAULT 6,
  `nSearchOrderPhonNameDesc` int(3) UNSIGNED NOT NULL DEFAULT 7,
  `cSelTrigger` varchar(100) NOT NULL DEFAULT '#search input.ac_input'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO xplugin_knoellmarketing_live_search_settings SET cLang = 'ger';

CREATE TABLE xplugin_knoellmarketing_live_search_search (
  `kLiveSearchSearch` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cSearchQuery` VARCHAR(255) NOT NULL,
  `dCreated` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `nNumSearches` INT(10) UNSIGNED NOT NULL DEFAULT 1,
  `nNumFindings` BIGINT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`kLiveSearchSearch`),
  UNIQUE KEY `xplugin_knoellmarketing_live_search_search_unique_cSearchQuery` (`cSearchQuery`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;